3PAR StoreServ Storage
cancel
Showing results for 
Search instead for 
Did you mean: 

SSMC Linux Upgrade 2.1.0 to 2.2.0 Fail

 
SOLVED
Go to solution
NeilGascoigne
Occasional Visitor

SSMC Linux Upgrade 2.1.0 to 2.2.0 Fail

Simple problem

 

CentOS 7 server

SSMC 2.1.0 installed

 

After doing:

 

chmod 755 hpssmc-2.2.0.17795-0.x86_64

./hpssmc-2.2.0.17795-0.x86_64

Accept EULA

 

I get

 

"The package hpssmc-2.1.0.16411-0.x86_64 (which is newer than hpssmc-2.2.0.17795-0.x86_64) is already installed."

 

Which is dumb. How to fix?

2 REPLIES
NeilGascoigne
Occasional Visitor
Solution

Re: SSMC Linux Upgrade 2.1.0 to 2.2.0 Fail

The answer is this:

 

yum remove hpssmc (old data will be preserved)

./HPSSMC-2.2.0.17795-linux-x86_64.bin.HPb

 

When prompted:

 

Do you want to keep the old SSMC data? (Enter Yes or No):
Please answer Yes or No.

 

Basic technote missing from the documentation?

Sheldon Smith
Honored Contributor

Re: SSMC Linux Upgrade 2.1.0 to 2.2.0 Fail

If you need to uninstall SSMC 2.1, the procedure is:
1. Log in as a super user.
2. Run the following script: /opt/hp/ssmc/uninstall.sh
as documented in the HP 3PAR StoreServ Management Console Administrator Guide.

 

 

Note: While I work for Hewlett-Packard, all of my comments (whether noted or not), are my own and are not any official representation of the company.

----------

If my post was useful, click on my KUDOS! thumb below!

 


Note: While I work for Hewlett Packard Enterprise, all of my comments (whether noted or not), are my own and are not any official representation of the company.
----------
If my post was useful, click on my KUDOS! thumb below!